# other

本章将介绍如何使用 github action 实现自动化操作，如自动签到、issue 机器人、pull request 机器人等。

## 有趣的 Github Action

米游社原神自动每日签到  https://github.com/y1ndan/genshin-impact-helper 



## github ISSUE_TEMPLATE

项目配置 `.github\ISSUE_TEMPLATE\bug_report_cn.md` 用户提交 issue 时自动渲染模板即

## issue 机器人

根据操作自动回复，自动触发事件。如 issue 标记未 duplicate 自动关闭; 

配置文件 `.github\stale.yml`

https://docs.github.com/en/issues/tracking-your-work-with-issues/linking-a-pull-request-to-an-issue


https://github.com/features/actions


目前机器人都由 github action 实现，创建一个 `.github\workflows\close_issues.yml` 文件，即可实现自动化操作。

```yml
on:
  issues:
    types: [opened]
  pull_request_target:
    types: [opened]
```

## pull request 机器人

用户发起 pull request 后，自动检查代码规范，自动合并代码，自动发布到 npm 等。如果 pull request结束后，自动关闭相关 issue。

```

```

## Donations

配置 `.github\FUNDING.yml` 用于接受捐赠